{% extends '@PiCRUD/item_default.html.twig' %}

{% block item_content %}
    {% if entity.event is defined and entity.event is not empty %}
        {% set event = entity.event %}
        <span class="h4 d-block mt-2">
            {% if event.dateEnd is not empty and event.dateEnd > event.dateBegin %}
                {% if event.dateBegin|date('m') is not same as event.dateEnd|date('m') %}
                    <span class="h2 d-inline-block">
                        <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                        <span class="badge">{{ event.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                        <span class="">au</span>
                        <span class="badge badge-{{ class_secondary }} text-white">{{ event.dateEnd|date('d') }}</span>
                        <span class="badge">{{ event.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                        <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                    </span>
                {% else %}
                    <span class="h2 d-inline-block">
                        <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                        <span class="">au</span>
                        <span class="badge badge-{{ class_secondary }} text-white">{{ event.dateEnd|date('d') }}</span>
                        <span class="badge">{{ event.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                        <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                    </span>
                {% endif %}
            {% else %}
                <span class="h2 d-inline-block">
                    <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                    <span class="badge">{{ event.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                    <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                </span>
            {% endif %}
        </span>
        <ul class="list-inline">
            {% if event.format is not empty %}
                <li class="list-inline-item"><i class="fa fa-tag text-secondary" aria-hidden="true"></i> {{ event.format.label }}</li>
            {% endif %}
            {% if event.locationTitle is not empty %}
                <li class="list-inline-item"><i class="fa fa-location-arrow text-secondary" aria-hidden="true"></i> {{ event.locationTitle }}</li>
            {% endif %}
        </ul>
    {% endif %}
{% endblock item_content %}

{% block item_link %}
    <a href="{{ path('pi_crud_show', {'type': type, 'id': entity.id, 'slug': entity.slug}) }}" class="btn btn-{{ class_primary }} stretched-link" itemprop="url">Voir les résultats</a>

    {% if entity.livelox is defined and entity.livelox is not empty %}
        <a href="{{ entity.livelox }}" rel="nofollow" class="btn btn-secondary stretched-link position-relative" target="_blank">Livelox</a>
    {% endif %}

    {% if entity.cn is defined and entity.cn is not empty %}
        <a href="{{ 'https://cn.ffcorientation.fr/course/%s/'|format(entity.cn) }}" rel="nofollow" class="btn btn-info stretched-link position-relative" target="_blank">CN</a>
    {% endif %}
{% endblock %}
